Subject: Re: turn off "LF will be replaced by CRLF" thingy

From: "Zorba" <[email-masked]>
Date: Mon, 29 Dec 2008 16:18:23 -0000

Thanks Dmitry,

So I have two options to do this - edit the files direct or issue a command, 
thank you !

Now, my next problem is taking all my changes ($ git add .  -> puts 5k files 
into index, with LF in place of CRLF) out of the index.

Because I haven't committed anything in this repo yet...

$ git reset --hard

....falls over, as it has no HEAD to reset to

I think I read how to do this in a tutorial somewhere, maybe with 
git-checkout, but I'm searching and can't find it.
Any kind soul can point me in the right direction ?

thanks !
"Dmitry Potapov" <[email-masked]> wrote in message 
news:[email-masked]...
>> I'd rather not let git change any files, many of which are PHP that run 
>> on
>> Apache
>> I think I remember reading that this is a config option that gets 
>> swithced
>> on by default on windows (which we are running git on)
>>
>> how do I switch it off ?
>
> git config core.autocrlf false
>
> or if you want to ensure that all your text files have only LF then
>
> git config core.autocrlf input
>
> or if you want to disable conversion for some specific files then you can
> use 'crlf' attribute. See 'gitattributes' for more information.
> http://www.kernel.org/pub/software/scm/git/docs/gitattributes.html
>
> Dmitry